Skip to main content
GET
/
v1
/
brands
/
{brand_id}
/
rmas
/
{id}
Get a specific return
curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/brands/{brand_id}/rmas/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "order_id": 1000,
  "reason_id": 344,
  "id": 4,
  "purchase_order_number": "CS192168",
  "rma_number": "ABC123",
  "status": "Pending",
  "currency": {
    "id": 1,
    "name": "United States Dollar",
    "symbol": "$",
    "unit": "USD"
  },
  "created_by": "Retailer",
  "rmad_at": "2022-09-10T15:24:56Z",
  "approved_at": "2022-09-10T15:24:56Z",
  "rejected_at": null,
  "ordered_at": "2022-09-10T15:24:56Z",
  "acknowledged_at": "2022-09-10T15:24:56Z",
  "rma_lines": [
    {
      "id": 567,
      "variant": {
        "id": 100024,
        "name": "T-Shirt, Blue, L",
        "brand_identifier": "1000-BL-L",
        "identifier": "5000001",
        "upc": 9119119111,
        "cartons": [
          {
            "id": 48,
            "number": 1,
            "length": "1",
            "length_unit": "1",
            "width": "1",
            "width_unit": "meter",
            "height": "1",
            "height_unit": "meter",
            "weight": "15",
            "weight_unit": "KG",
            "package_girth_inches": "1",
            "package_size_inches": "1"
          }
        ],
        "color": "Red",
        "style": "Print",
        "size": "Large",
        "media": [
          {
            "id": 249,
            "width": 100,
            "height": 100,
            "media": "default",
            "priority": 1,
            "url": "192.168.99.100/media/default/original",
            "updated_at": "2022-09-10T15:24:56Z",
            "created_at": "2022-08-10T15:24:56Z"
          }
        ],
        "attributes": [
          {
            "code": "size",
            "name": "Size",
            "type": "money",
            "id": 44,
            "editable_by": "brand",
            "grouping": "general",
            "description": "demo product description",
            "units": "USD",
            "values": {
              "id": 123,
              "value": "<string>",
              "unit": {
                "id": 677,
                "name": "Sample unit",
                "standard_unit": "<string>",
                "type": "cost",
                "system": "metric",
                "symbol": "USD"
              },
              "updated_at": "2023-11-07T05:31:56Z",
              "created_at": "2023-11-07T05:31:56Z"
            }
          }
        ],
        "ruleset_variants": [
          {
            "id": 1232,
            "status": "processing",
            "ruleset": "<unknown>",
            "results": "<string>",
            "created_at": "2022-08-10T15:24:56Z",
            "updated_at": "2022-09-10T15:24:56Z"
          }
        ],
        "ruleset_variant_summary": "21",
        "active_permit": {
          "id": 10104,
          "retailer_price": "12.99",
          "retailer_cost": "8.99",
          "pricing": {},
          "attributes": {},
          "start_at": "2021-09-10T15:24:56Z",
          "end_at": "2024-09-10T15:24:56Z",
          "is_in_effect": true,
          "revoked_at": "2022-09-10T15:24:56Z",
          "is_acknowledged": true,
          "acknowledged_at": "2022-09-10T15:24:56Z"
        },
        "permits": [
          {
            "id": 10104,
            "retailer_price": "12.99",
            "retailer_cost": "8.99",
            "pricing": {},
            "attributes": {},
            "start_at": "2021-09-10T15:24:56Z",
            "end_at": "2024-09-10T15:24:56Z",
            "is_in_effect": true,
            "revoked_at": "2022-09-10T15:24:56Z",
            "is_acknowledged": true,
            "acknowledged_at": "2022-09-10T15:24:56Z"
          }
        ],
        "is_compatible": true,
        "proposal_variant": {
          "id": 3456,
          "pricing": "12.00",
          "attributes": [
            {
              "id": 123,
              "value": "<string>",
              "unit": {
                "id": 677,
                "name": "Sample unit",
                "standard_unit": "<string>",
                "type": "cost",
                "system": "metric",
                "symbol": "USD"
              },
              "updated_at": "2023-11-07T05:31:56Z",
              "created_at": "2023-11-07T05:31:56Z"
            }
          ],
          "memos": [
            {
              "id": 1234,
              "text": "Immediate requirement",
              "visibility": "any",
              "acknowledged_at": "2022-01-10T15:24:56Z",
              "notify_people": true,
              "created_by": {
                "id": 542,
                "first_name": "Sample",
                "last_name": "Demo",
                "title": "Demo",
                "status": "Active",
                "type": "standard",
                "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                "is_me": true
              },
              "created_by_context": "retailer",
              "created_at": "2021-09-10T15:24:56Z",
              "updated_at": "2022-09-10T15:24:56Z"
            }
          ],
          "issues": [
            {
              "id": 123,
              "memos": [
                {
                  "id": 1234,
                  "text": "Immediate requirement",
                  "visibility": "any",
                  "acknowledged_at": "2022-01-10T15:24:56Z",
                  "notify_people": true,
                  "created_by": {
                    "id": 542,
                    "first_name": "Sample",
                    "last_name": "Demo",
                    "title": "Demo",
                    "status": "Active",
                    "type": "standard",
                    "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                    "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                    "is_me": true
                  },
                  "created_by_context": "retailer",
                  "created_at": "2021-09-10T15:24:56Z",
                  "updated_at": "2022-09-10T15:24:56Z"
                }
              ],
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z",
              "resolved_at": "2023-11-07T05:31:56Z",
              "is_resolved": "<string>",
              "issue_id": 123,
              "message": "<string>",
              "title": "<string>"
            }
          ],
          "variant_id": 249,
          "approved_at": "2022-10-10T15:24:56Z",
          "created_at": "2022-07-10T15:24:56Z",
          "updated_at": "2022-09-10T15:24:56Z",
          "rejected_at": null,
          "reject_reason": "Incomplete",
          "reject": true,
          "approve": false,
          "delete": false
        },
        "retailer_identifiers": {
          "id": 5642,
          "identifier": "SKU976",
          "name": "Retailer Sample"
        }
      },
      "quantity": 20,
      "quantity_shipped": 10,
      "net_price": "12.00"
    }
  ],
  "reason": "Incorrect",
  "memos": [
    {
      "id": 1234,
      "text": "Immediate requirement",
      "visibility": "any",
      "acknowledged_at": "2022-01-10T15:24:56Z",
      "notify_people": true,
      "created_by": {
        "id": 542,
        "first_name": "Sample",
        "last_name": "Demo",
        "title": "Demo",
        "status": "Active",
        "type": "standard",
        "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
        "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
        "is_me": true
      },
      "created_by_context": "retailer",
      "created_at": "2021-09-10T15:24:56Z",
      "updated_at": "2022-09-10T15:24:56Z"
    }
  ],
  "attachments": [
    {
      "id": 268,
      "content_type": 1,
      "object_id": 666,
      "file": "Sample file",
      "uploaded_by": 646,
      "visible_by": "connections",
      "original_filename": "Sample1",
      "filename": "Sample1",
      "tags": [
        {
          "tag": "demotag",
          "id": 432
        }
      ],
      "url": "https://assets.sample.com/attachments/path_to_attachment/attachment.pdf"
    }
  ],
  "total_amount": "34.00",
  "credits": [
    {
      "id": 20,
      "currency": {
        "id": 1,
        "name": "United States Dollar",
        "symbol": "$",
        "unit": "USD"
      },
      "rma": "<unknown>",
      "order": "<string>",
      "credit_number": "849238",
      "credit_lines": [
        {
          "quantity": 10,
          "id": 566,
          "variant": {
            "id": 100024,
            "name": "T-Shirt, Blue, L",
            "brand_identifier": "1000-BL-L",
            "identifier": "5000001",
            "upc": 9119119111,
            "cartons": [
              {
                "id": 48,
                "number": 1,
                "length": "1",
                "length_unit": "1",
                "width": "1",
                "width_unit": "meter",
                "height": "1",
                "height_unit": "meter",
                "weight": "15",
                "weight_unit": "KG",
                "package_girth_inches": "1",
                "package_size_inches": "1"
              }
            ],
            "color": "Red",
            "style": "Print",
            "size": "Large",
            "media": [
              {
                "id": 249,
                "width": 100,
                "height": 100,
                "media": "default",
                "priority": 1,
                "url": "192.168.99.100/media/default/original",
                "updated_at": "2022-09-10T15:24:56Z",
                "created_at": "2022-08-10T15:24:56Z"
              }
            ],
            "attributes": [
              {
                "code": "size",
                "name": "Size",
                "type": "money",
                "id": 44,
                "editable_by": "brand",
                "grouping": "general",
                "description": "demo product description",
                "units": "USD",
                "values": {
                  "id": 123,
                  "value": "<string>",
                  "unit": {
                    "id": 677,
                    "name": "Sample unit",
                    "standard_unit": "<string>",
                    "type": "cost",
                    "system": "metric",
                    "symbol": "USD"
                  },
                  "updated_at": "2023-11-07T05:31:56Z",
                  "created_at": "2023-11-07T05:31:56Z"
                }
              }
            ],
            "ruleset_variants": [
              {
                "id": 1232,
                "status": "processing",
                "ruleset": "<unknown>",
                "results": "<string>",
                "created_at": "2022-08-10T15:24:56Z",
                "updated_at": "2022-09-10T15:24:56Z"
              }
            ],
            "ruleset_variant_summary": "21",
            "active_permit": {
              "id": 10104,
              "retailer_price": "12.99",
              "retailer_cost": "8.99",
              "pricing": {},
              "attributes": {},
              "start_at": "2021-09-10T15:24:56Z",
              "end_at": "2024-09-10T15:24:56Z",
              "is_in_effect": true,
              "revoked_at": "2022-09-10T15:24:56Z",
              "is_acknowledged": true,
              "acknowledged_at": "2022-09-10T15:24:56Z"
            },
            "permits": [
              {
                "id": 10104,
                "retailer_price": "12.99",
                "retailer_cost": "8.99",
                "pricing": {},
                "attributes": {},
                "start_at": "2021-09-10T15:24:56Z",
                "end_at": "2024-09-10T15:24:56Z",
                "is_in_effect": true,
                "revoked_at": "2022-09-10T15:24:56Z",
                "is_acknowledged": true,
                "acknowledged_at": "2022-09-10T15:24:56Z"
              }
            ],
            "is_compatible": true,
            "proposal_variant": {
              "id": 3456,
              "pricing": "12.00",
              "attributes": [
                {
                  "id": 123,
                  "value": "<string>",
                  "unit": {
                    "id": 677,
                    "name": "Sample unit",
                    "standard_unit": "<string>",
                    "type": "cost",
                    "system": "metric",
                    "symbol": "USD"
                  },
                  "updated_at": "2023-11-07T05:31:56Z",
                  "created_at": "2023-11-07T05:31:56Z"
                }
              ],
              "memos": [
                {
                  "id": 1234,
                  "text": "Immediate requirement",
                  "visibility": "any",
                  "acknowledged_at": "2022-01-10T15:24:56Z",
                  "notify_people": true,
                  "created_by": {
                    "id": 542,
                    "first_name": "Sample",
                    "last_name": "Demo",
                    "title": "Demo",
                    "status": "Active",
                    "type": "standard",
                    "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                    "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                    "is_me": true
                  },
                  "created_by_context": "retailer",
                  "created_at": "2021-09-10T15:24:56Z",
                  "updated_at": "2022-09-10T15:24:56Z"
                }
              ],
              "issues": [
                {
                  "id": 123,
                  "memos": [
                    {
                      "id": 1234,
                      "text": "Immediate requirement",
                      "visibility": "any",
                      "acknowledged_at": "2022-01-10T15:24:56Z",
                      "notify_people": true,
                      "created_by": {
                        "id": 542,
                        "first_name": "Sample",
                        "last_name": "Demo",
                        "title": "Demo",
                        "status": "Active",
                        "type": "standard",
                        "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                        "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
                        "is_me": true
                      },
                      "created_by_context": "retailer",
                      "created_at": "2021-09-10T15:24:56Z",
                      "updated_at": "2022-09-10T15:24:56Z"
                    }
                  ],
                  "created_at": "2023-11-07T05:31:56Z",
                  "updated_at": "2023-11-07T05:31:56Z",
                  "resolved_at": "2023-11-07T05:31:56Z",
                  "is_resolved": "<string>",
                  "issue_id": 123,
                  "message": "<string>",
                  "title": "<string>"
                }
              ],
              "variant_id": 249,
              "approved_at": "2022-10-10T15:24:56Z",
              "created_at": "2022-07-10T15:24:56Z",
              "updated_at": "2022-09-10T15:24:56Z",
              "rejected_at": null,
              "reject_reason": "Incomplete",
              "reject": true,
              "approve": false,
              "delete": false
            },
            "retailer_identifiers": {
              "id": 5642,
              "identifier": "SKU976",
              "name": "Retailer Sample"
            }
          },
          "net_price": "12.99"
        }
      ],
      "adjustments": [
        {
          "id": 566,
          "description": "Sample description for adjustment",
          "net_price": "1.00"
        }
      ],
      "acknowledged_at": "2022-09-10T15:24:56Z",
      "credited_at": "2022-09-10T15:24:56Z",
      "created_at": "2022-08-10T15:24:56Z",
      "subtotal": "20.00",
      "credit_amount": "24.00"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

The unique RMA ID. This ID is automatically generated when a merchant registers a pending return for a supplier using the POST /v1/retailers/{retailer_id}/rmas/ endpoint.

brand_id
number
required

The unique brand ID. In the Dropship UI this is called the Supplier ID. To find your Supplier ID, click your supplier name in the top nav.

Response

200 - application/json

OK

order_id
integer
required

Order ID

Example:

1000

reason_id
integer
required

ID associated with return reason

Example:

344

id
integer

RMA ID. This ID is required in subsequent endpoints related to RMA.

Example:

4

purchase_order_number
string

Purchase order number

Minimum string length: 1
Example:

"CS192168"

rma_number
string | null

RMA number

Maximum string length: 32
Example:

"ABC123"

status
enum<string> | null

RMA status. Default is Pending.

Available options:
pending,
approved,
rejected
Example:

"Pending"

currency
object
created_by
enum<string> | null

User that initiated RMA

Available options:
retailer,
brand
Example:

"Retailer"

rmad_at
string<date-time> | null

Time of RMA creation (UTC format)

Example:

"2022-09-10T15:24:56Z"

approved_at
string<date-time> | null

Time of RMA approval (UTC format)

Example:

"2022-09-10T15:24:56Z"

rejected_at
string<date-time> | null

Time of RMA rejection(UTC format)

Example:

null

ordered_at
string<date-time>

Time of order finalization (UTC format)

Example:

"2022-09-10T15:24:56Z"

acknowledged_at
string<date-time> | null

Time of RMA acknowledgment (UTC format)

Example:

"2022-09-10T15:24:56Z"

rma_lines
object[]
reason
string

Reason for return

Minimum string length: 1
Example:

"Incorrect"

memos
object[]
attachments
object[]
retailer
object
brand
object
total_amount
string

Total amount

Example:

"34.00"

credits
object[]